using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
	public class RoomModal
	{
		/// <summary>
		/// 回路地址
		/// </summary>
		public virtual string ModalAddress
		{
			get;
			set;
		}
		/// <summary>
		/// 输出口
		/// </summary>
		public virtual string Outlet
		{
			get;
			set;
		}
		/// <summary>
		/// 名称
		/// </summary>
		public virtual string Name
		{
			get;
			set;
		}
		/// <summary>
		/// 功率(单位：瓦)
		/// </summary>
		public virtual int Power
		{
			get;
			set;
		}
		/// <summary>
		/// 类型
		/// </summary>
        public virtual DeviceType Type
		{
			get;
			set;
		}
        /// <summary>
        /// Color
        /// </summary>
        public virtual string Color
        {
            get;
            set;
        }
		/// <summary>
		/// Sort
		/// </summary>
		public virtual int Sort
		{
			get;
			set;
		}
	}
}
